Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2022-1529

Published: 23 May 2022

An attacker could have sent a message to the parent process where the contents were used to double-index into a JavaScript object, leading to prototype pollution and ultimately attacker-controlled JavaScript executing in the privileged parent process. This vulnerability affects Firefox ESR < 91.9.1, Firefox < 100.0.2, Firefox for Android < 100.3.0, and Thunderbird < 91.9.1.

Notes

AuthorNote
mdeslaur
starting with Ubuntu 22.04, the firefox package is just a script
that installs the Firefox snap

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
kinetic Not vulnerable
(code not present)
lunar Not vulnerable
(code not present)
jammy Not vulnerable
(code not present)
bionic
Released (100.0.2+build1-0ubuntu0.18.04.1)
focal
Released (100.0.2+build1-0ubuntu0.20.04.1)
impish
Released (100.0.2+build1-0ubuntu0.21.10.1)
trusty Does not exist

upstream
Released (100.0.2)
xenial Ignored
(end of standard support)
thunderbird
Launchpad, Ubuntu, Debian
kinetic Ignored
(end of life, was needed)
lunar Not vulnerable
(1:102.3.3+build1-0ubuntu1)
bionic
Released (1:91.9.1+build1-0ubuntu0.18.04.1)
focal
Released (1:91.9.1+build1-0ubuntu0.20.04.1)
impish
Released (1:91.9.1+build1-0ubuntu0.21.10.1)
jammy
Released (1:91.9.1+build1-0ubuntu0.22.04.1)
trusty Does not exist

upstream
Released (91.9.1)
xenial Ignored
(end of standard support)

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H